package Model;

import java.awt.geom.Point2D;
import java.sql.SQLException;
import java.util.List;

public interface IAcquisition {

	public List<IPoint> getAcquisitionPoints();

	public int getAcquisitionId();
	
	public ILog getAcquisitionLog();

	public boolean isLog();
	
	public IPoint addPoint(Point2D.Double point, int pressure, float time) throws SQLException;
	
	public void addPoints(List<IPoint> points) throws SQLException;
	
	public ILog addLog(boolean isSignatureValid, boolean isUserValid) throws SQLException ;
	
}
